org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionBLikeness

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelBLikenessCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionBLikeness

    public class EditorCriterionBLikeness
    extends EditorCriterion<ModelBLikenessCriterion>

Implements a view on a b-likeness privacy model

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionBLikeness(org.eclipse.swt.widgets.Composite parent, ModelBLikenessCriterion model)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionBLikeness

    public EditorCriterionBLikeness(org.eclipse.swt.widgets.Composite parent,
                                    ModelBLikenessCriterion model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -